Skip to content

Check Connection / Check Agent Connection

GET
/api/v1/cdpbackup/{node_id}/cdp-agent/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Check Connection and Check Agent Connection are the same request.

node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location identifier used in the check connection request

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the connection check

integer
data
object
connection_status

Indicates whether the connection check succeeded

boolean
message

Human-readable status or error message for the connection check

string
errors
object
message

Status message indicating the result of the connection check

string

Example

{
"code": 200,
"data": {
"connection_status": false,
"message": "Connecting to agent failed."
},
"message": "Success"
}

Response